Package io.dapr.v1

# Interface CommonProtos.HTTPExtensionOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CommonProtos.HTTPExtension`, `CommonProtos.HTTPExtension.Builder`

Enclosing class:
  CommonProtos

public static interface CommonProtos.HTTPExtensionOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getQuerystring()`
Optional.
`com.google.protobuf.ByteString`
`getQuerystringBytes()`
Optional.
`CommonProtos.HTTPExtension.Verb`
`getVerb()`
Required.
`int`
`getVerbValue()`
Required.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getVerbValue

int getVerbValue()

     Required. HTTP verb.

`.dapr.proto.common.v1.HTTPExtension.Verb verb = 1;`

Returns:
  The enum numeric value on the wire for verb.

### getVerb

CommonProtos.HTTPExtension.Verb getVerb()

     Required. HTTP verb.

`.dapr.proto.common.v1.HTTPExtension.Verb verb = 1;`

Returns:
  The verb.

### getQuerystring

String getQuerystring()

     Optional. querystring represents an encoded HTTP url query string in the following format: name=value&name2=value2

`string querystring = 2;`

Returns:
  The querystring.

### getQuerystringBytes

com.google.protobuf.ByteString getQuerystringBytes()

     Optional. querystring represents an encoded HTTP url query string in the following format: name=value&name2=value2

`string querystring = 2;`

Returns:
  The bytes for querystring.